## `tst:fix-type` / `tst:fix-path` Conform documents to fit schema

Will iterate over a [firestoreType](https://github.com/hatsa-com/hatsa/blob/0629616836fa715266cf61ec2677db1b61233fa8/packages/firestore/match/index.js#L11/pattern) or collectionGroup and will try to mutate the document using a fixer-script so it will be conform schema.

Example doc-fixer: [affiliatepromotions](https://github.com/hatsa-com/hatsa/blob/e8f8df49ab236f6f6709df17cc9a52dbe1ee5fb0/packages/firestore/commands/docFix/docFixers/doctypes/affiliatepromotions.js)

```
yarn tst:fix-type <<firestoreType or collectionGroup>>
yarn tst:fix-path <<firestorePath or collection>>

yarn tst:fix-type boarditems                   //type
yarn tst:fix-type devices                      //collectionGroup
yarn tst:fix-path /profiles/abcdefg            //document
yarn tst:fix-path /profiles/abcdefg/devices    //collection
```

## `tst:migrate` Small data migrators

An approach to write small and simple migrations for a documents inside a query.
Example use case:
`photoURL` in collection `/profiles` has a schema of `URL`. However, there are many 'broken' url's (https://hatsa.com/nonexisting.jpg). You can use this migrator to lookup all those problems and set them to something usefull. This would not be fixed by schema check.

Example migrator: [remove\_\_app](https://github.com/hatsa-com/hatsa/blob/73802e38291635149bd063a2fbc5f4337776f991/packages/firestore/bin/migrate/migrators/remove__app.js#L1)

`yarn tst:migrate remove__app`

### Dryrun

When no arguments used, migration will be started in `dryrun` mode - `yarn tst:migrate remove__app`.
It means that migrator will iterate over the desired collection and output some debug info, but no documents will be touched.
It's handy to use this mode to check how many documents we'll touch and gather some stats.
When we're ready to execute migration and touch (set/update/delete) some fields in the document we should run migrator with `--nodryrun` argument - `yarn tst:migrate remove__app --nodryrun`

## `tst:fix-custom` Data migrators with related data and/or side-effects

Used to fix data but also trigger related workflows like data population or children removal.

Example script [cleanUpDeletedUserBoards](https://github.com/hatsa-com/hatsa/blob/c1ac8a3eb0fbd94d39a7066d6d2b882f195e842a/packages/firestore/commands/customFixers/cleanUpDeletedUserBoards.js#L6)

`yarn tst:fix-custom cleanUpDeletedUserBoards`

## TODO

- usage of `debug`
