#!/usr/bin/env node
const P = require('bluebird');
const yargs = require('yargs');

const { fixDocByPath, fixDocByDoc } = require('../../commands/docFix');
const { stringIsDoc } = require('../../match');
const { genIteratorFuncs } = require('../../iterate');

const { genFirestore } = require('../helpers');
const { logChanges } = require('./helpers');

const firestore = genFirestore();
const { iterateCollection } = genIteratorFuncs(firestore);

const { nodryrun, _: paths } = yargs
  .describe(`nodryrun`, `No dryrun`)
  .command('firestorePath', 'either a document or a collection')
  .demandCommand(1, 'Please specify a firestore path').argv;
// const docPath = args[0];
const dryrun = !nodryrun;

P.each(paths, (path) => {
  if (stringIsDoc(path)) return fixDocByPath(firestore, path, dryrun).then(logChanges);

  return iterateCollection(path, (doc) => fixDocByDoc(doc, dryrun).then(logChanges), { pageSize: 500 });

  // const colParts = stringCollectionParts(path);
  // const isSubCol = colParts.length > 1;

  // return !isSubCol
  // ?
  // iterateSubCollection(colParts[0], colParts[1], doc => fixDocByDoc(doc, dryrun).then(logChanges))
  // :
  // iterateCollection(colParts[0], doc => fixDocByDoc(doc, dryrun).then(logChanges))
  // ;
});
