const getAdmin = () => {
  const admin = require('firebase-admin');

  admin.initializeApp();
  return admin;
};

const genFirestore = ({ logger } = {}) => {
  const clientConfig = {
    interfaces: {
      'google.firestore.v1.Firestore': {
        methods: {
          RunQuery: {
            timeout_millis: 1000 * 60 * 10,
          },
        },
      },
    },
  };

  const admin = getAdmin();
  if (logger)
    admin.firestore.setLogFunction((line) => {
      //action, tag, msg, data -> //'Firestore.request', requestTag, 'Sending request: %j', request
      logger.info(line);
    });

  const firestore = admin.firestore(); // const firestore = new Firestore({ clientConfig });

  firestore.settings({ clientConfig });

  return firestore;
};

module.exports = {
  getAdmin,
  genFirestore,
};
