Firecode migrator supports operation as set, update and updateWithDerivedData.

Examples:

updateWithDerivedData:

```
module.exports = (firestore) => {
    return {
        query: firestore.collection('boards'),
        runCloudFunctions: false,
        runWithFirecode: {
            op: 'updateWithDerivedData',
            docDataModifier: (snap) => {
                const { title, _slug } = snap.data();
                return {
                    customField: `${title} ${_slug}`,
                };
            },
            maxConcurrentBatchCount: 10,
        },
    };
};
```

remove:

```
const sentinels = require('../../../sentinel');
module.exports = (firestore) => {
    const { delete: deleteField } = sentinels(firestore);
    return {
        query: firestore.collection('boards'),
        runCloudFunctions: false,
        runWithFirecode: {
            op: 'set',
            docData: {
                column_orders: deleteField(),
                visible_columns: deleteField(),
            },
            maxConcurrentBatchCount: 10,
            docOptions: { merge: true },
        },
    };
};
```

update

```
module.exports = (firestore) => {
    return {
        query: firestore.collection('boards'),
        runCloudFunctions: false,
        runWithFirecode: {
            op: 'set',
            docData: {
                newName: 'test',
            },
            maxConcurrentBatchCount: 10,
            docOptions: { merge: true },
        },
    };
};
```
