const sentinels = require('../../../sentinel');

module.exports = (firestore) => {
  const { delete: deleteField } = sentinels(firestore);
  return {
    query: firestore.collection('profiles').select('_app').where('_app', 'array-contains-any', ['android', 'ios']),
    handle: (doc) => {
      return {
        op: 'set',
        docRef: firestore.doc(`profiles/${doc.id}`),
        docData: { _app: deleteField() },
        docOptions: { merge: true },
      };
    },
  };
};
