const sentinels = require('../../../sentinel');

module.exports = (firestore) => {
  const { delete: deleteField } = sentinels(firestore);
  return {
    query: firestore.collection('boards'),
    runCloudFunctions: false,
    handle: (doc) => ({
      op: 'set',
      docRef: firestore.doc(`boards/${doc.id}`),
      docData: {
        column_orders: deleteField(),
        visible_columns: deleteField(),
      },
      docOptions: { merge: true },
    }),
  };
};
