const sentinels = require('../../../sentinel');

module.exports = (firestore) => {
  const { delete: deleteField } = sentinels(firestore);
  return {
    query: firestore.collection('profiles').select('_has_boards').where('_has_boards', '==', true),
    handle: (task) => ({
      op: 'set',
      docRef: firestore.doc(`profiles/${task.id}`),
      docData: { _has_boards: deleteField() },
      docOptions: { merge: true },
    }),
  };
};
