module.exports = (firestore) => ({
  query: firestore.collectionGroup('fulfilled'),
  runCloudFunctions: false,
  handle: (doc) => {
    const profileId = doc.ref ? doc.ref.parent.parent.id : null;
    if (!profileId) {
      return null;
    }
    return {
      op: 'set',
      docRef: firestore.doc(`boards/${doc.get('board_id')}/items/${doc.get('item_id')}`),
      docData: { fulfilled: { [profileId]: { created_at: doc.get('created_at') } } },
      docOptions: { merge: true },
    };
  },
});
