const slugify = require('@hatsa/utils/url/slugify');

module.exports = (firestore) => ({
  query: firestore.collection('boards'),
  handle: (doc) => {
    const boardId = doc.ref.id;
    const _slug = `${slugify(doc.get('title'))}-${boardId.substring(0, 6)}`;
    return {
      op: 'set',
      docRef: firestore.doc(`boards/${boardId}`),
      docData: {
        _slug,
      },
      docOptions: {
        merge: true,
      },
    };
  },
});
