const slugify = require('@hatsa/utils/url/slugify');

const createdFrom = new Date('2021-08-17');

module.exports = (firestore) => ({
  query: firestore
    .collection('boards')
    .select('title', 'default_board', 'created_at')
    .where('created_at', '>', createdFrom)
    .orderBy('created_at'),
  runCloudFunctions: false,
  handle: (doc) => {
    if (!doc.get('default_board')) {
      return null;
    }
    const boardId = doc.ref.id;
    const _slug = `${slugify(doc.get('title'))}-${boardId.substring(0, 6)}`;
    return {
      op: 'set',
      docRef: firestore.doc(`boards/${boardId}`),
      docData: {
        _slug,
      },
      docOptions: {
        merge: true,
      },
    };
  },
});
