module.exports = (firestore) => ({
  query: firestore.collectionGroup('invites'),
  id: (doc) => doc.ref.parent.parent.id,
  merge: (task) => ({
    id: task.id,
    _profileId: task.ref ? task.ref.parent.parent.id : task._profileId,
  }),
  handle: (task) => {
    const profileId = task.ref ? task.ref.parent.parent.id : task._profileId;
    return {
      op: 'set',
      docRef: firestore.doc(`profiles/${profileId}`),
      docData: { _has_invites: true },
      docOptions: { merge: true },
    };
  },
});
