module.exports = (firestore) => {
  return {
    query: firestore.collectionGroup('items').select('created_by').orderBy('created_by'),
    id: (doc) => doc.get('created_by'),
    filter: (doc) => !doc.get('_has_items'),
    handle: (doc) => ({
      op: 'set',
      docRef: firestore.doc(`profiles/${doc.get('created_by')}`),
      docData: { _has_items: true },
      docOptions: { merge: true },
    }),
  };
};
