/**
 * Set "read" to "false" if it's not defined.
 *
 * @param firestore
 * @returns {*}
 */
module.exports = (firestore) => ({
  query: firestore.collectionGroup('notifications').select('read', 'created_at').orderBy('created_at'),
  handle: (doc) => {
    const read = doc.get('read');

    if (typeof read === 'boolean') return undefined;

    return {
      op: 'set',
      docRef: doc.ref,
      docData: { read: !!read },
      docOptions: { merge: true },
    };
  },
});
