/**
 * Set offerers -> checkFields.parentId.checked property to false.
 *
 * @param firestore
 * @returns {*}
 */
module.exports = (firestore) => {
  return {
    query: firestore.collection('offerers').select('name', 'parentId').orderBy('name'),
    handle: (doc) => ({
      op: 'set',
      docRef: firestore.doc(`offerers/${doc.id}`),
      docData: {
        checkFields: {
          parentId: { checked: false },
        },
      },
      docOptions: { merge: true },
    }),
  };
};
