const { sha1 } = require('@hatsa/utils/crypto');

module.exports = (firestore) => ({
  query: firestore.collection('offerers'),
  runCloudFunctions: false,
  handle: (doc) => {
    const code = doc.get('verification.code');
    const verified = doc.get('verification.verified');

    if (typeof code === 'string' && typeof verified === 'boolean') {
      return null;
    }

    return {
      op: 'set',
      docRef: firestore.doc(`offerers/${doc.id}`),
      docData: {
        verification: {
          code: code || sha1(doc.id),
          verified: verified || false,
        },
      },
      docOptions: { merge: true },
    };
  },
});
