/**
 * Set offerers -> parentId property to null if it's not defined.
 *
 * @param firestore
 * @returns {*}
 */
module.exports = (firestore) => {
  return {
    query: firestore.collection('offerers').select('name', 'parentId').orderBy('name'),
    handle: (doc) => {
      const parentId = doc.get('parentId') || null;

      return {
        op: 'set',
        docRef: firestore.doc(`offerers/${doc.id}`),
        docData: { parentId },
        docOptions: { merge: true },
      };
    },
  };
};
