/**
 * Set "deleted state" for all account which were deleted
 *
 * @param firestore
 * @returns {*}
 */
module.exports = (firestore) => ({
  query: firestore.collection('profiles').where('deleted_at', '!=', false).orderBy('deleted_at'),
  handle: (doc) => ({
    op: 'set',
    docRef: firestore.doc(`profiles/${doc.id}`),
    docData: {
      displayName: 'Verwijderde gebruiker',
      photoURL: null,
      public: false,
      created_at: doc.get('created_at') || null,
      _copernica_id: doc.get('_copernica_id') || null,
      deleted_at: doc.get('deleted_at') || null,
    },
  }),
});
