/**
 * Update profile following counter
 *
 * @param firestore
 * @returns {*}
 */
module.exports = (firestore) => ({
  query: firestore.collectionGroup('following'),
  id: (doc) => doc.ref.parent.parent.id,
  merge: (oldTask) => {
    const numFollowing = oldTask.numFollowing || 1;
    return {
      id: oldTask.id,
      numFollowing: numFollowing + 1,
      profileId: oldTask.profileId || oldTask.ref.parent.parent.id,
    };
  },
  handle: (task) => {
    const profileId = task.ref ? task.ref.parent.parent.id : task.profileId;
    const numFollowing = task.numFollowing || 1;

    return {
      op: 'set',
      docRef: firestore.doc(`profiles/${profileId}`),
      docData: { _num_following: numFollowing },
      docOptions: { merge: true },
    };
  },
});
