/**
 * Set following counter to 0 if value is negative (< 0);
 *
 * @param firestore
 * @returns {*}
 */
module.exports = (firestore) => ({
  query: firestore.collection('profiles').where('_num_following', '<', 0).orderBy('_num_following'),
  handle: (doc) => ({
    op: 'set',
    docRef: firestore.doc(`profiles/${doc.id}`),
    docData: { _num_following: 0 },
    docOptions: { merge: true },
  }),
});
