/* eslint-disable no-useless-computed-key, dot-notation */
const sentinels = require('../../../sentinel');

module.exports = (firestore) => {
  const { delete: deleteField } = sentinels(firestore);
  return {
    query: firestore.collection('offerers'),
    filter: (doc) => doc.get('strategy'),
    runCloudFunctions: false,
    handle: (doc) => {
      const settings = doc.get('settings');
      const strategy = doc.get('strategy');
      const type = settings?.scraper?.type ?? (strategy.name || '').split('.')[0];

      const offererUpdate = {
        ['settings.scraper.type']: type || 'request',
        ['settings.scraper.proxy']: false, // disable proxy, since we will turn it off
      };

      if (strategy.headers && Object.keys(strategy.headers).length > 0) {
        offererUpdate['settings.scraper.headers'] = strategy.headers;
      }

      offererUpdate['strategy'] = deleteField();

      return {
        op: 'update',
        docRef: firestore.doc(`offerers/${doc.id}`),
        docData: offererUpdate,
      };
    },
  };
};
