#!/usr/bin/env node

const q = process.argv[2];
let query;

const log = console.log; //eslint-disable-line

try {
  query = require(__dirname + `/../commands/query/queries/${q}`);
} catch (e) {
  log(`query ${q} not found`, e);
  process.exit(1);
}

const { performQuery } = require('../commands/query/helpers');
const { genFirestore } = require('./helpers');

const firestore = genFirestore();

performQuery(firestore)(query);
