#!/usr/bin/env node

const diff = require('jsondiffpatch');
const { getOCName, stripNonPojo } = require('@hatsa/utils/object');

const { stringIsCollection } = require('../match');
const { genFirestore } = require('./helpers');

let docState,
  colState = {},
  count = 0; //eslint-disable-line

const showDiff = (a, b) => {
  // console.log('---old')
  // console.log(JSON.stringify(docState))
  // console.log('---new')
  // console.log(JSON.stringify(newData))
  // console.log('---diff')

  const delta = diff.diff(a, b);
  diff.console.log(delta);
};

const handleDocSnapshot = (d) => {
  const newData = stripNonPojo(d.data(), (v) => `<<${getOCName(v)}>>`);

  console.log(count, d._updateTime && d._updateTime.toDate()); //eslint-disable-line
  showDiff(docState, newData);
  // console.log(JSON.stringify({old: docState, new: newData}, null, 2)); //eslint-disable-line

  docState = newData;
  count += 1;
};

const handleColSnapshot = (d) => {
  console.log(`count: ${count}`); //eslint-disable-line

  d.docChanges.forEach((c) => {
    const newData = stripNonPojo(c.doc.data(), (v) => `<<${getOCName(v)}>>`);

    const oldState = colState[c.doc.id] || {};
    const newState = {
      count: (oldState.count || 0) + 1,
      data: newData,
    };

    console.log(c.doc.id, oldState.count || 0); //eslint-disable-line
    showDiff(oldState.data, newState.data);
    // console.log(JSON.stringify({old: docState, new: newData}, null, 2)); //eslint-disable-line

    delete colState[c.doc.id];
    colState[c.doc.id] = newState;
  });

  count += 1;
};

const firestore = genFirestore();

const path = process.argv[2];

stringIsCollection(path)
  ? firestore.collection(path).onSnapshot(handleColSnapshot)
  : firestore.doc(path).onSnapshot(handleDocSnapshot);
