const { batchDelete } = require('../../batch');

/**
 * Removes all affiliates promotions.
 */
module.exports = async ({ firestore, nodryrun, logger }) => {
  const dryrun = !nodryrun;
  const querySnap = await firestore.collectionGroup('affiliate_promotions').get();
  const docRefs = querySnap.docs.map((snap) => ({ docRef: snap.ref }));
  const batchCb = (chunk, batchNr, totalBatches) =>
    logger.info(`deleted ${chunk.length} (batch ${batchNr}/${totalBatches})`);
  const dryrunCb = dryrun && batchCb;

  await batchDelete(docRefs, {
    batchSize: 100,
    concurrency: 1,
    batchCb,
    dryrun,
    dryrunCb,
  });
};
