WITH
board_items AS (
  SELECT
    REGEXP_EXTRACT(document_name, r'boards/(.+)/items') AS boardId,
    REGEXP_EXTRACT(document_name, r'boards/.+/items/(.+)') AS itemId,
    JSON_EXTRACT_SCALAR(DATA, '$.urlref_id') AS urlrefId,
    DATE(TIMESTAMP_SECONDS((CAST(JSON_EXTRACT_SCALAR( DATA, '$.created_at._seconds') AS int64)))) AS createdAt,
    DATE(TIMESTAMP_SECONDS((CAST(JSON_EXTRACT_SCALAR( DATA, '$.updated_at._seconds') AS int64)))) AS updatedAt
  FROM
    `@gcp.firestore.items_raw_latest` AS items
  WHERE
    JSON_EXTRACT(DATA, '$.urlref.urls') IS NULL
    AND JSON_EXTRACT_SCALAR(DATA, '$.urlref_id') IS NOT NULL
    AND JSON_EXTRACT(DATA, '$.deleted_at') IS NULL ),
urlrefs AS (
  SELECT
    JSON_EXTRACT_SCALAR(DATA, '$.id') AS id
  FROM
    `@gcp.firestore.urlrefs_raw_latest`
)
SELECT
  board_items.*
FROM board_items
  LEFT JOIN urlrefs
  ON board_items.urlrefId = urlrefs.id
ORDER BY
  board_items.updatedAt DESC
LIMIT @limit
OFFSET @offset
