#!/usr/bin/env node

const { firestore } = require('../helpers/firestore');

const args = process.argv.slice(2);

if (!args.length) {
  console.log('arg(s): doc/docId'); //eslint-disable-line
  process.exit(1);
}

const refcountFix = (firestore) => (path) =>
  firestore
    .doc(path)
    .get()
    .then((doc) => {
      if (!doc.exists) throw new Error(`doc ${args[0]} does not exists`);

      return doc;
    })
    .then(() => firestore.doc(args[0]).collection('refs').add({ refPath: 'dummy' }))
    .then((doc) => doc.delete())
    .then(() => console.log('cloudfunction triggered, should be fixed now')); //eslint-disable-line
