const isEmpty = require('lodash/isEmpty');
const genSentinels = require('../../../../sentinel');

const fixAssetRefs = (doc) => {
  const { deleteField } = genSentinels(doc.ref.firestore);

  const assets = doc.get('assets');

  if (assets === undefined) return undefined;

  if (isEmpty(assets)) return deleteField;

  const assetIds = Object.keys(assets);

  assetIds.forEach((assetId) => {
    if (!assets[assetId].asset_ref) assets[assetId].asset_ref = doc.ref.firestore.doc(`assets/${assetId}`);
  });

  return assets;
};

module.exports = {
  fixAssetRefs,
};
