import type { firestore, auth } from 'firebase-admin';

type IsVerifiedDto = {
  offererSnap: firestore.DocumentSnapshot;
};

type IsManagingByDto = {
  offererSnap: firestore.DocumentSnapshot;
  userId: string;
};

type HasActiveSubscriptionDto = {
  user: auth.UserRecord;
};

type CanManageShopDto = {
  offererSnap: firestore.DocumentSnapshot;
  user: Pick<auth.UserRecord, 'uid' | 'customClaims'>;
};

declare function genOffererFuncs(): {
  isVerified: ({ offererSnap }: IsVerifiedDto) => boolean;
  isManagingBy: ({ offererSnap, userId }: IsManagingByDto) => boolean;
  hasActiveSubscription: ({ user }: HasActiveSubscriptionDto) => boolean;
  canManageShop: ({ offererSnap, user }: CanManageShopDto) => boolean;
};

// eslint-disable-next-line import/prefer-default-export
export { genOffererFuncs };
