import { HatsaLogger } from '@hatsa/log';

type FollowFuncsDto = {
  firestore: FirebaseFirestore.Firestore;
  logger?: HatsaLogger;
};

type FollowUserDto = {
  followerUid: string;
  followingUid: string;
};

type UnFollowUserDto = FollowUserDto;

export interface FollowFuncs {
  followUser: ({ followerUid, followingUid }: FollowDto) => Promise<void>;
  unFollowUser: ({ followerUid, followingUid }: UnFollowUserDto) => Promise<void>;
}

declare const followFuncs: ({ firestore, logger }: FollowFuncsDto) => FollowFuncs;
