const genGetFirestoreClient =
  ({ firestore, log }) =>
  (queries = []) =>
  (req, res, next) => {
    const l = typeof log === 'function' ? log : () => {};

    const storeDocsAs = (name, app) => (ss) => {
      ss.docChanges().forEach((change) => l(`${change.doc.id} ${change.type}`));

      // eslint-disable-next-line no-param-reassign
      app[name] = ss.docs.reduce((acc, val) => {
        acc[val.id] = val.data();
        return acc;
      }, {});
    };

    const syncQuery =
      (rq) =>
      ({ query, name }) => {
        const q = query || rq.app.firestore.collection(name);
        const store = storeDocsAs(name, rq.app);

        q.onSnapshot(store);

        return q
          .get()
          .then(store)
          .then(() => l(`cached ${Object.keys(rq.app[name] || {}).length} items from type ${name}`));
      };

    if (req.app.firestore) return next();

    req.app.firestore = firestore;

    return Promise.all(queries.map(syncQuery(req)))
      .then(() => next())
      .catch(next);
  };

module.exports = {
  genGetFirestoreClient,
};
