declare const CollectionPaths: Readonly<{
  Assets: () => string;
  AssetRefs: (args: { assetId: string }) => string;
  Boards: () => string;
  BoardItems: (args: { boardId: string }) => string;
  BoardActivities: (args: { boardId: string }) => string;
  Invites: () => string;
  InviteActions: (args: { inviteId: string }) => string;
  Offerers: () => string;
  Outclicks: (args: { offererId: string }) => string;
  Profiles: () => string;
  ProfileActions: (args: { uid: string }) => string;
  ProfileFollowing: (args: { uid: string }) => string;
  ProfileFollowers: (args: { uid: string }) => string;
  ProfileLikes: (args: { uid: string }) => string;
  ProfileFulfilled: (args: { uid: string }) => string;
  ProfileDevices: (args: { uid: string }) => string;
  ProfileNotifications: (args: { uid: string }) => string;
  ProfileInvites: (args: { uid: string }) => string;
  ProfileSlugs: () => string;
  UrlRefs: () => string;
  UrlRefsRefs: (args: { sha1: string }) => string;
  UrlRefMap: () => string;
  UrlRefScrapes: (args: { sha1: string }) => string;
  Affiliates: () => string;
  AffiliatePrograms: (args: { affiliateId: string }) => string;
  AffiliatePromotions: (args: { affiliateId: string; programId: string }) => string;
  AffiliateClicks: (args: { affiliateId: string; programId: string }) => string;
  AffiliateFeeds: (args: { affiliateId: string; programId: string }) => string;
  Products: (args: { affiliateId: string; programId: string; feedId: string }) => string;
}>;

export = CollectionPaths;
