declare const DocumentPaths: Readonly<{
  Assets: (args: { assetId: string }) => string;
  AssetRefs: (args: { assetId: string; refId: string }) => string;
  Boards: (args: { boardId: string }) => string;
  BoardItems: (args: { boardId: string; itemId: string }) => string;
  BoardActivities: (args: { boardId: string; activityId: string }) => string;
  Invites: (args: { inviteId: string }) => string;
  InviteActions: (args: { inviteId: string; actionId: string }) => string;
  Offerers: (args: { offererId: string }) => string;
  Outclicks: (args: { offererId: string; outclickId: string }) => string;
  Profiles: (args: { uid: string }) => string;
  ProfileActions: (args: { uid: string; actionId: string }) => string;
  ProfileFollowing: (args: { uid: string; followUid: string }) => string;
  ProfileFollowers: (args: { uid: string; followUid: string }) => string;
  ProfileLikes: (args: { uid: string; likeId: string }) => string;
  ProfileFulfilled: (args: { uid: string; itemId: string }) => string;
  ProfileDevices: (args: { uid: string; hardwareIdSha1: string }) => string;
  ProfileNotifications: (args: { uid: string; notificationId: string }) => string;
  ProfileInvites: (args: { uid: string; inviteId: string }) => string;
  ProfileSlugs: (args: { slugId: string }) => string;
  UrlRefs: (args: { sha1: string }) => string;
  UrlRefsRefs: (args: { sha1: string; refId: string }) => string;
  UrlRefMap: (args: { sha1: string }) => string;
  UrlRefScrapes: (args: { sha1: string; scrapeId: string }) => string;
  Affiliates: (args: { affiliateId: string }) => string;
  AffiliatePrograms: (args: { affiliateId: string; programId: string }) => string;
  AffiliatePromotions: (args: { affiliateId: string; programId: string; promotionId: string }) => string;
  AffiliateClicks: (args: { affiliateId: string; programId: string; clickId: string }) => string;
  AffiliateFeeds: (args: { affiliateId: string; programId: string; feedId: string }) => string;
  Products: (args: { affiliateId: string; programId: string; feedId: string; productId: string }) => string;
}>;

export = DocumentPaths;
