const castArray = require('lodash/castArray');
const get = require('lodash/get');

const throwIfMissingProps = (args, data) => {
  const missingProps = [];

  castArray(args).forEach((argn) => {
    if (get(data, argn) === undefined) missingProps.push(args);
  });

  if (missingProps.length) throw new Error(`missing props ${missingProps.join(', ')}`);
};

module.exports = {
  throwIfMissingProps,
};
