const test = require('tape');

const { throwIfMissingProps } = require('./helpers');

test('throwIfMissingProps', (t) => {
  t.throws(() => throwIfMissingProps(['missing'], { uid: '123' }));
  t.ok(() => throwIfMissingProps(['uid'], { uid: '123' }));
  t.ok(() => throwIfMissingProps(['uid'], { uid: null }));
  t.throws(() => throwIfMissingProps(['uid'], { uid: undefined }));

  t.throws(() => throwIfMissingProps(['deep.nested'], { uid: '123' }));
  t.ok(() => throwIfMissingProps(['deep.nested'], { deep: { nested: 123 } }));

  t.throws(() => throwIfMissingProps(['deep.nested', 'some.other'], { uid: '123' }));

  t.ok(() => throwIfMissingProps(['deep.nested', 'some.other'], { deep: { nested: 321 }, some: { other: 123 } }));

  t.end();
});
