const { getInfo } = require('../match');
const baseDoc = require('./baseDoc');

module.exports = (refOrDocOrPath, firestore) => {
  const info = getInfo(refOrDocOrPath, firestore);

  const {
    type,
    snap,
    // ref,
    // isCollection
  } = info;

  const modelFuncs = snap ? baseDoc(snap) : {};
  try {
    const customFuncs = require(`./types/${type}`)(info);
    Object.assign(modelFuncs, customFuncs);
  } catch (e) {
    // console.log(e);
  }

  return modelFuncs;
};
