const models = require('../index');

const createEventData = (type, event) => ({
  type,
  event: {
    title: event.title,
    id: event.id,
  },
});

const createEventNotApplied = ({ notificationsRef, event }) => {
  const { createEventNotification } = models(notificationsRef);
  return createEventNotification(createEventData('not_applied', event));
};

const createEventNotDrawn = ({ notificationsRef, event }) => {
  const { createEventNotification } = models(notificationsRef);
  return createEventNotification(createEventData('not_drawn', event));
};

const createEventIsOver = ({ notificationsRef, event, board }) => {
  const { createEventNotification } = models(notificationsRef);
  const meta = {
    board: {
      id: board.id,
    },
  };
  return createEventNotification(createEventData('over', event), meta);
};

const createEventBoardEmpty = ({ notificationsRef, event, board }) => {
  const { createEventNotification } = models(notificationsRef);
  const meta = {
    board: {
      id: board.id,
    },
  };
  return createEventNotification(createEventData('board_empty', event), meta);
};

module.exports = {
  createEventNotApplied,
  createEventNotDrawn,
  createEventIsOver,
  createEventBoardEmpty,
};
