const { sha1 } = require('@hatsa/utils/crypto');
const { throwIfMissingProps } = require('../helpers');

const createOfferer = (props) => {
  throwIfMissingProps(['domain'], props);

  const { domain } = props;

  return {
    name: domain,
    domain,
    domains: [domain],
    verification: {
      code: sha1(domain),
      verified: false,
    },
  };
};

module.exports = { createOfferer };
