/* eslint-disable camelcase */
const test = require('tape');
const boardactivities = require('./boardactivities');

test('throwIfMissingProps', (t) => {
  const boardactivities_model = boardactivities();
  t.throws(() => boardactivities_model.createSuggestionActivity());
  t.ok(() =>
    boardactivities_model.createSuggestionActivity({
      uid: 'foo',
      urlref: {
        id: 'bar',
      },
    })
  );
  t.end();
});

test('createProductChangeActivity', (t) => {
  const now = new Date();

  const boardactivities_model = boardactivities();

  const reality = boardactivities_model.createProductChangeActivity({
    created_at: now,
    item_id: '123',
    item_title: 'test item',
    price: {
      before: 10,
      after: 9,
      currency: 'EUR',
    },
  });
  const expected = {
    created_at: now,
    type: 'productUpdate',
    item: {
      id: '123',
      title: 'test item',
      changes: { price: { before: 10, after: 9, currency: 'EUR' } },
    },
  };

  t.deepEqual(reality, expected);

  t.end();
});
