module.exports = (info) => {
  const { snap } = info;

  if (snap) {
    return {};
  }

  const createDoc = ({ boardId = null, itemId = null, docData, product }) => {
    const { urlrefRef = null, urlrefId = null, id: affiliateProductId = null } = product;
    const { deliveredAt = null, deliveryDate = null } = docData;
    return {
      board_id: boardId,
      item_id: itemId,
      urlref_ref: urlrefRef,
      urlref_id: urlrefId,
      affiliate_product_id: affiliateProductId,
      delivery_date: deliveryDate,
      delivered_at: deliveredAt,
      urlref: {},
      created_at: new Date(),
    };
  };

  const updateDoc = ({ docData }) => {
    const { deliveredAt, deliveryDate } = docData;
    const doc = {};
    if (deliveredAt !== undefined) {
      doc.delivered_at = deliveredAt;
    }
    if (deliveryDate !== undefined) {
      doc.delivery_date = deliveryDate;
    }
    return doc;
  };

  return {
    createFulfilled: (data) => createDoc(data),
    updateFulfilled: (data) => updateDoc(data),
  };
};
