const paginate = (firestore, collection, startAfter, orderBy, pageSize, callback, fail) => {
  const orderById = orderBy === 'id';

  const orderField = orderById ? firestore.constructor.FieldPath.documentId() : orderBy;

  const firstDocument = startAfter ? Promise.resolve() : collection.orderBy(orderField).limit(1).get();

  return Promise.resolve(firstDocument)
    .then((data) => {
      let startFrom = startAfter;
      if (!startAfter) {
        data.docs.forEach((doc) => (startFrom = orderById ? doc.id : doc[orderBy]));
      }

      const listPromise = collection.orderBy(orderField);

      const listPromiseAt = startAfter ? listPromise.startAfter(startAfter) : listPromise.startAt(startFrom);

      const listPromiseGet = listPromiseAt.limit(pageSize).get();

      return Promise.resolve(listPromiseGet)
        .then((result) => {
          const paginatedData = [];
          if (result) result.forEach((f) => paginatedData.push({ id: f.id, ...f.data() }));

          return callback(paginatedData);
        })
        .catch(fail);
    })
    .catch(fail);
};

module.exports = paginate;
