module.exports = {
  $id: 'http://hopponn.com/schemas/urlrefsDocEs.json',
  type: 'object',
  definitions: {
    url: {
      type: 'string',
      format: 'url_rel_proto',
    },
    domain: {
      type: 'string',
      format: 'domain',
    },
  },
  required: ['urls', 'domains'],
  additionalProperties: true,
  properties: {
    urls: {
      type: 'object',
      additionalProperties: true,
      properties: {
        canonical: { $ref: '#/definitions/url' },
        given: { $ref: '#/definitions/url' },
        normalized: { $ref: '#/definitions/url' },
      },
    },
    product: {
      oneOf: [{ $ref: 'product.json' }, { type: 'null' }],
    },
    image: { $ref: '#/definitions/url' },
    domains: {
      type: 'array',
      items: { $ref: '#/definitions/domain' },
    },
    offerer: {
      type: 'object',
      additionalProperties: true,
      properties: {
        name: { type: 'string' },
        domain: { type: 'string' },
        logo: { type: 'string' },
      },
    },
  },
};
