const { inherit } = require('../../../../../schema');
const core = require('./core');

module.exports = inherit(core, {
  $id: 'http://hopponn.com/schemas/boards/activities/comment.json',
  required: ['mentions', 'text'],
  properties: {
    type: { const: 'comment' },
    mentions: {
      type: 'object',
      properties: {
        products: {
          type: 'array',
          items: { $ref: 'productMention.json' },
        },
        urls: {
          type: 'array',
          items: { type: 'string' },
        },
        users: {
          type: 'array',
          items: { $ref: 'userMention.json' },
        },
      },
    },
    text: { type: 'string' },
  },
});
