/**
 * BOARD ITEM GUI - Properties for proper rendering of board items
 *
 * This could be split into list view and grid view properties. Seems a little excessive though since the only property
 * for list view is `position`.
 */
module.exports = {
  $id: 'http://hopponn.com/schemas/boards/items/gui.json',
  required: [
    // "coords"
  ],
  additionalProperties: false,
  properties: {
    position: { type: 'integer' }, // custom sort position for listview
    coords: {
      type: 'object',
      required: ['x', 'y', 'w', 'h', 'minH', 'minW', 'maxH', 'maxW'],
      properties: {
        additionalProperties: false,
        x: { type: 'integer' },
        y: { type: 'integer' },
        w: { type: 'integer' },
        h: { type: 'integer' },
        minH: { type: 'integer' },
        minW: { type: 'integer' },
        maxH: { type: 'integer' },
        maxW: { type: 'integer' },
      },
    },
  },
};
