/**
 * BOARD ITEM - A board item in its most reduced form
 */
module.exports = {
  $id: 'http://hopponn.com/schemas/boards/items/itemReduced.json',
  definitions: {
    emptyObject: {
      type: 'object',
      additionalProperties: false,
      properties: {},
    },
  },
  oneOf: [
    // { "const": "/assets/missing_boarditem_img.png" }, // TODO: Maybe do not allow
    {
      type: 'object',
      required: ['id'],
      properties: {
        id: { type: 'string' },
        mode: { type: ['string', 'null'], enum: [null, 'image', 'product'] },
      },
    },
    {
      type: 'object',
      required: ['title', 'image', 'price'],
      properties: {
        id: { type: 'string' },
        urlref_id: { type: 'string' },
        image: { type: 'string' },
        price: { type: 'number' },
        title: { type: 'string' },
      },
    },
    { $ref: '#/definitions/emptyObject' }, // TODO Seems odd to allow empty object
  ],
};
