/**
 * BOARD ITEM PRODUCT ANT LINK
 */
const { inherit } = require('../../../../../schema');
const core = require('./core');

const productAndLink = {
  $id: 'http://hopponn.com/schemas/boards/items/productAndLinkCore.json',
  required: ['mode'],
  properties: {
    mode: {
      type: 'string',
      enum: ['link', 'product'],
    },
  },
};

const productUrlref = {
  required: ['urlref', 'urlref_ref', 'urlref_id'],
  properties: {
    urlref: { $ref: 'http://hopponn.com/schemas/urlrefReduced.json' },
    urlref_id: { type: 'string' },
    urlref_ref: { firestoreReference: 'urlrefs' },
  },
};

const productAffiliate = {
  required: ['affiliate_product_id'],
  properties: {
    affiliate_product_id: { type: 'string' },
  },
};

const link = {
  required: ['url'],
  properties: {
    url: { type: 'string' },
  },
};

module.exports = {
  $id: 'http://hopponn.com/schemas/boards/items/productAndLink.json',

  /**
   * At first an 'urlref_id' is stored on the board item. One of the cloud functions eventually copies the data from
   * the urlref to the board item under the key 'urlref'. We insist that a product/link has either both keys
   * (urlref_id and urlref) or none of these keys, hence the 'onOff'.
   *
   * When collection 'boards items' is validated some product/link might fail because the cloud function has not run yet.
   */
  oneOf: [
    inherit(core, productAndLink, link),
    inherit(core, productAndLink, productUrlref),
    inherit(core, productAndLink, productAffiliate),
  ],
};
