/**
 * DOC - Most basic schema e.g. highest in the hierarchy
 *
 * The purpose of this JSON schema is to declare an atomic document from which all other documents will be descendants.
 * Be very careful with adding properties.
 *
 * This schema is always used in combination with the schema tool `inherit`.
 *
 * Example:
 *
 * const { inherit } = require('@utils/schema');
 * const doc = require('./doc');
 *
 * module.exports = inherit(doc, {
 *     "$id": "http://hopponn.com/schemas/yourInheritedSchema.json",
 *     "properties": {
 *         "yourExtraProp":{ "type":"string" }
 *     }
 * });
 *
 */
module.exports = {
  $id: 'http://hopponn.com/schemas/doc.json',
  // "$schema": "http://json-schema.org/draft-07/schema",
  type: 'object',
  additionalProperties: false,
  properties: {
    id: { $ref: 'http://hopponn.com/schemas/id.json' },
  },
};
