module.exports = {
  $id: 'http://hopponn.com/schemas/events/event.json',
  type: 'object',
  required: ['title'],
  properties: {
    title: { type: 'string' },
    type: {
      oneOf: [{ type: 'string', enum: ['draw'] }, { type: 'null' }],
    },
    description: { type: 'string' },
    date: { $ref: 'http://hopponn.com/schemas/date.json' },
    budget: { type: 'number', minimum: 0, maximum: 1000000 },
    names: {
      type: 'object',
      required: ['name'],
      patternProperties: {
        '.+': {
          name: { type: 'string' },
          participant_id: { type: 'string' },
        },
      },
    },
    participants: {
      type: 'object',
      required: ['name'],
      patternProperties: {
        '.+': {
          name_id: { type: 'string' },
          board_id: { type: 'string' },
          match: { type: 'string' },
        },
      },
    },
    is_over: { type: 'boolean' },
    created_by: { $ref: 'http://hopponn.com/schemas/date.json' },
    created_at: { $ref: 'http://hopponn.com/schemas/date.json' },
  },
};
