import { User } from '../user';
import { InviteBoard } from './board';
import { Schema } from '../../../schema';

export type InviteStatus = 'sent' | 'accepted' | 'rejected' | 'failed';

export type Invite = {
  id: string;
  type: 'board' | 'profile';
  role: number;
  invitee: User | null;
  inviter: User;
  boardId: string | null;
  message: string | null;
  status: InviteStatus;
  board: InviteBoard | null;
  email: string | null;
  failureReason?: string | null;
};

declare const InviteSchema: Schema;

export default InviteSchema;
