module.exports = {
  $id: 'http://hopponn.com/schemas/invites/invite.json',
  type: 'object',
  required: ['role', 'invitee', 'inviter', 'boardid', 'message', 'status', 'board', 'email'],
  properties: {
    id: { $ref: 'http://hopponn.com/schemas/id.json' },
    role: { type: 'integer', examples: [1000] },
    invitee: { $ref: 'http://hopponn.com/schemas/user.json' },
    inviter: { $ref: 'http://hopponn.com/schemas/user.json' },
    boardId: {
      oneOf: [{ $ref: 'http://hopponn.com/schemas/id.json' }, { type: 'null' }],
    },
    message: {
      oneOf: [{ type: 'string' }, { type: 'null' }],
    },
    failureReason: {
      oneOf: [{ type: 'string' }, { type: 'null' }],
    },
    type: {
      type: 'string',
      enum: ['board', 'profile'],
    },
    status: {
      type: 'string',
      enum: ['sent', 'accepted', 'rejected', 'failed'],
    },
    board: {
      oneOf: [{ $ref: 'http://hopponn.com/schemas/board.json' }, { type: 'null' }],
    },
    email: {
      oneOf: [{ type: 'string' }, { type: 'null' }],
    },
    followBack: {
      oneOf: [{ type: 'boolean' }, { type: 'null' }],
    },
  },
};
