module.exports = {
  $id: 'http://hopponn.com/schemas/product.json',
  definitions: {
    price: {
      type: 'number',
    },
    unitValue: {
      type: 'object',
      additionalProperties: false,
      properties: {
        value: { type: 'number' },
        units: { type: 'string' }, // TODO: "GRM" enum?
      },
    },
    offerer: {
      type: 'object',
      properties: {
        name: { type: 'string' },
        domain: { type: 'string' },
        logo: { type: 'string' },
      },
    },
  },
  type: 'object',
  additionalProperties: false,
  properties: {
    additional_images: {
      type: 'array',
      items: {
        type: 'string',
      },
    },
    image: { type: 'string' },
    attributes: { type: 'object' }, // TODO: specify attributes
    availability: { type: 'string' }, // TODO: enum ?
    brand: { type: 'string' }, // TODO: or { name: "", logo: "", uid: 123 } ,where uid is internal brand id
    description: { type: 'string' },
    retailer: { type: 'string' }, // TODO: what is this different from "offerer"?
    offerer: { $ref: '#/definitions/offerer' },
    title: { type: 'string' },
    url: { type: 'string' /* , "format": "url" */ }, // TODO: strict url format
    category: {
      type: 'array',
      items: {
        type: 'string',
      },
    },
    identifiers: {
      type: 'array',
      items: {
        type: 'object',
        required: ['type', 'value'],
        additionalProperties: false,
        properties: {
          type: { type: 'string' }, // TODO: enum of valid types
          value: {
            anyOf: [{ type: 'string' }, { type: 'number' }],
          },
        },
      },
    },
    price: {
      type: 'object',
      required: ['low'], // TODO: make enforce currency
      additionalProperties: false,
      properties: {
        currency: { type: 'string' }, // TODO: make sure the code is valid
        low: { $ref: '#/definitions/price' },
        last_updated: { oneOf: [{ $ref: 'http://hopponn.com/schemas/date.json' }, { type: 'null' }] },
        high: {
          oneOf: [{ $ref: '#/definitions/price' }, { type: 'array', items: { $ref: '#/definitions/price' } }],
        },
      },
    },
    weight: { $ref: '#/definitions/unitValue' },
    dimensions: {
      type: 'object',
      additionalProperties: false,
      properties: {
        depth: { $ref: '#/definitions/unitValue' },
        height: { $ref: '#/definitions/unitValue' },
        width: { $ref: '#/definitions/unitValue' },
      },
    },
    rating: {
      type: 'object',
      additionalProperties: false,
      properties: {
        high: { type: 'number' },
        mean: { type: 'number' },
        review_count: { type: 'number' },
        rating_count: { type: 'number' },
        total_count: { type: 'number' },
        low: { type: 'number' },
      },
    },
  },
};
