const { inherit } = require('../../../../../schema');
const editable = require('../../editable');
const { getSchemaId } = require('../../../../../validate/ajv');

const BoardInviteActionType = 'board_invite';

const BoardInviteActionSchemaId = getSchemaId('profiles/actions/boardInviteDoc');

const BoardInviteActionSchema = inherit(editable, {
  $id: BoardInviteActionSchemaId,
  required: ['data', 'type'],
  properties: {
    data: {
      type: 'object',
      additionalProperties: false,
      properties: {
        board: {
          type: 'object',
          required: ['id', 'title'],
          additionalProperties: false,
          properties: {
            id: { $ref: 'http://hopponn.com/schemas/id.json' },
            title: { type: 'string' },
          },
        },
        invite: { $ref: 'http://hopponn.com/schemas/invites/invite.json' },
        inviter: { $ref: 'http://hopponn.com/schemas/user.json' },
      },
    },
    type: { const: BoardInviteActionType },
  },
});

module.exports = {
  BoardInviteActionType,
  BoardInviteActionSchemaId,
  BoardInviteActionSchema,
};
