const { inherit } = require('../../../../../schema');
const editable = require('../../editable');
const { ShareProductActionType } = require('./share-product/share-product-action');
const { BoardInviteActionType } = require('./boardInvite');
const { ShareProductActionSchemaId } = require('./share-product/share-product-action');
const { getSchemaId } = require('../../../../../validate/ajv');
const { BoardInviteActionSchemaId } = require('./boardInvite');

const ProfileActionSchemaId = getSchemaId('profiles/action');

const ProfileActionType = Object.freeze({
  BoardInvite: BoardInviteActionType,
  ShareProduct: ShareProductActionType,
});

const ProfileActionSchema = inherit(editable, {
  $id: ProfileActionSchemaId,
  oneOf: [{ $ref: BoardInviteActionSchemaId }, { $ref: ShareProductActionSchemaId }],
});

module.exports = { ProfileActionSchemaId, ProfileActionSchema, ProfileActionType };
