import { SharedProduct } from './shared-product';
import { User } from '../../../user';
import { Schema } from '../../../../../schema';
import { InviteStatus } from '../invite-status';

export declare const ShareProductActionSchema: Schema;

export declare const ShareProductActionSchemaId: string;

export declare const ShareProductActionType = 'share_product';

export enum ProductType {
  Product = 'product',
  UrlRef = 'urlref',
}

export type ShareProductInvite = {
  message?: string;
  status: InviteStatus;
};

export type ShareProductAction = {
  type: 'share_product';
  data: {
    type: ProductType;
    product: SharedProduct;
    inviter: User;
    invite: ShareProductInvite;
  };
};
