const { getSchemaId } = require('../../../../../../validate/ajv');

const SharedProductSchemaId = getSchemaId('sharedProduct');

const SharedProductSchema = {
  $id: SharedProductSchemaId,
  required: ['id', 'title', 'price'],
  additionalProperties: false,
  properties: {
    id: { type: 'string', minLength: 5 },
    title: { type: 'string' },
    description: { type: 'string' },
    price: {
      type: 'object',
      additionalProperties: false,
      properties: {
        low: { oneOf: [{ type: 'number' }, { type: 'null' }] },
        currency: { oneOf: [{ type: 'string' }, { type: 'null' }] },
      },
    },
  },
};

module.exports = { SharedProductSchemaId, SharedProductSchema };
