const { inherit } = require('../../../../../schema');
const editable = require('../../editable');

module.exports = inherit(editable, {
  $id: 'http://hopponn.com/schemas/profiles/likes/likes.json',
  properties: {
    userId: { ref: 'http://hopponn.com/schemas/id.json' },
    created_at: { $ref: 'http://hopponn.com/schemas/date.json' },
    meta: {
      type: 'object',
      properties: {
        itemId: { ref: 'http://hopponn.com/schemas/id.json' },
        boardId: { ref: 'http://hopponn.com/schemas/id.json' },
        urlrefId: {
          oneOf: [{ type: 'string' }, { type: 'null' }],
        },
        activityId: {
          oneOf: [{ ref: 'http://hopponn.com/schemas/id.json' }, { type: 'null' }],
        },
      },
    },
    type: {
      type: 'string',
      enum: ['boarditem', 'boardimage', 'boardactivity', 'offerer'],
    },
  },
  required: ['userId', 'created_at', 'type', 'meta'],
});
