/**
 * NOTIFICATIONS RELATED TO BOARDS
 *
 * These are notifications that users may receive as a consequence of activity that has occurred around boards. For
 * example someone could receive a notification of the fact that a chat message was added to a shared board with a
 * reference to another board. This would be a board notification of type board. Another example is when a user was
 * invited to join a board and has acted upon the invitation by actually joining. This would result in a board
 * notification of type join to all the other members of the board.
 */
module.exports = {
  $id: 'http://hopponn.com/schemas/profiles/notifications/board.json',
  oneOf: [
    { $ref: 'http://hopponn.com/schemas/profiles/notifications/board/board.json' },
    { $ref: 'http://hopponn.com/schemas/profiles/notifications/board/joined.json' },
    { $ref: 'http://hopponn.com/schemas/profiles/notifications/board/suggestion.json' },
    { $ref: 'http://hopponn.com/schemas/profiles/notifications/board/left.json' },
    { $ref: 'http://hopponn.com/schemas/profiles/notifications/board/comment.json' },
    { $ref: 'http://hopponn.com/schemas/profiles/notifications/board/role.json' },
  ],
};
