const { inherit } = require('../../../../../../../schema');
const editable = require('../../../../editable');

module.exports = inherit(editable, {
  $id: 'http://hopponn.com/schemas/profiles/notifications/board/data/comment.json',
  type: 'object',
  required: ['id', 'type', 'user', 'text'],
  properties: {
    user: { $ref: 'http://hopponn.com/schemas/user.json' },
    text: { type: 'string' },
    mentions: {
      type: 'object',
      required: ['products', 'urls', 'users'],
      properties: {
        users: {
          type: 'array',
          items: { $ref: 'http://hopponn.com/schemas/boards/activities/userMention.json' },
        },
        urls: {
          type: 'array',
          items: { type: 'string' },
        },
        products: {
          type: 'array',
          items: { $ref: 'http://hopponn.com/schemas/boards/activities/productMention.json' },
        },
      },
    },
    type: { const: 'comment' },
  },
});
