/**
 * BOARD ITEM URLREFS - A version of urlrefs with reduced properties
 */
module.exports = {
  $id: 'http://hopponn.com/schemas/urlrefReduced.json',
  type: 'object',
  definitions: {
    url: {
      type: 'string',
      format: 'url_rel_proto',
    },
    domain: {
      type: 'string',
      format: 'domain',
    },
  },
  required: [],
  additionalProperties: false,
  properties: {
    id: { $ref: 'http://hopponn.com/schemas/sha1.json' },
    version: { oneOf: [{ type: 'number' }, { type: 'string' }] },
    dead: { type: 'boolean' },
    content: {
      oneOf: [
        {
          type: 'object',
          additionalProperties: false,
          properties: {
            images: {
              type: 'array',
              // "items": { "$ref": "#/definitions/url" }
            },
            videos: {
              type: 'array',
              items: { $ref: '#/definitions/url' },
            },
            keywords: {
              type: 'array',
              items: { type: 'string' },
            },
            titles: {
              type: 'array',
              items: { type: 'string' },
            },
            description: { type: 'string' },
          },
        },
        { type: 'null' },
      ],
    },
    product: {
      oneOf: [{ $ref: 'http://hopponn.com/schemas/product.json' }, { type: 'null' }],
    },
    offerer: {
      type: 'object',
      additionalProperties: false,
      properties: {
        name: { type: 'string' },
        domain: { $ref: '#/definitions/domain' },
        logo: { $ref: '#/definitions/url' },
      },
    },
    assets: {
      oneOf: [
        {
          type: 'object',
          additionalProperties: false,
          properties: {
            'product.image': { $ref: 'urlrefReduced/assets.json' },
            'product.additional_images': { $ref: 'urlrefReduced/assets.json' },
            'content.images': { $ref: 'urlrefReduced/assets.json' },
          },
        },
        {
          type: 'null' /* These items show spinners but are still pretty useful so deletion is a bit to rigorous */,
        },
      ],
    },
    urls: {
      type: 'object',
      required: ['canonical', 'given', 'normalized'],
      properties: {
        canonical: { type: 'string' },
        given: { type: 'string' },
        normalized: { type: 'string' },
      },
    },
    domains: {
      type: 'array',
      items: { type: 'string' },
    },
    meta: {
      type: 'object',
      required: ['lang'],
      properties: {
        lang: {
          oneOf: [{ type: 'string' }, { type: 'null' }],
        },
        type: {
          oneOf: [{ type: 'string' }, { type: 'null' }],
        },
      },
    },
    refversion: { type: 'number' },
    refcount: { type: 'number' },
    scrapecount: { type: 'number' },
  },
};
