/* eslint-disable camelcase */
import type { firestore } from 'firebase-admin';

export type Offerer = {
  name?: string;
  logo?: string;
  domain?: string;
  promotions?: {
    [promotionId: string]: {
      id: string;
      name: string;
      description?: string;
      valid_from: firestore.Timestamp;
      valid_to: firestore.Timestamp;
      code?: string;
      link: string;
    };
  };
  highlighted_boards?: {
    [boardId: string]: {
      _slug: string;
      updated_by: string;
      updated_at: firestore.Timestamp;
    };
  };
  highlighted_products?: {
    [productId: string]: {
      text: string;
    };
  };
  managed_by?: {
    [userId: string]: {
      role: string;
      updated_at: firestore.Timestamp;
    };
  };
  affiliateProgram?: string;
  subscription?: {
    id: string;
    type: 'basic' | 'pro' | 'plus';
    current_period_end: firestore.Timestamp;
  };
};
