const { getSchemaId } = require('../../../validate/ajv');

module.exports = {
  $id: getSchemaId('request-objects/elastic/product'),
  type: 'object',
  required: ['id', 'title', 'price_low', 'image'],
  additionalProperties: false,
  properties: {
    id: { type: 'string' },
    pid: { type: 'string' },
    aid: { type: 'string' },
    title: { type: 'string' },
    description: { type: 'string' },
    image: { type: 'string', format: 'uri' },
    additional_images: { type: 'array', items: { type: 'string', format: 'uri' } },
    price_low: { type: 'number' },
    price_high: { type: 'number' },
    price_currency: { type: 'string' },
    availability: { type: 'string', enum: ['in stock', 'out of stock'] },
    keywords: { type: 'array', items: { type: 'string' } },
    category: { type: 'array', items: { type: 'string' } },
    brand: { type: 'string' },
    ean: { type: 'array', items: { type: 'string' } },
    mpn: { type: 'array', items: { type: 'string' } },
    sku: { type: 'array', items: { type: 'string' } },
    gtin: { type: 'array', items: { type: 'string' } },
    url: { type: 'string', format: 'uri' },
    url_affiliate: { type: 'string', format: 'uri' },
    color: { type: 'array', items: { type: 'string' } },
    size: { type: 'array', items: { type: 'string' } },
    material: { type: 'array', items: { type: 'string' } },
    gender: { type: 'string', enum: ['male', 'female', 'unisex'] },
    age_group: { type: 'string', enum: ['infant', 'toddler', 'kids', 'adult'] },
    condition: { type: 'string', enum: ['new', 'refurbished', 'used'] },
    delivery_text: { type: 'string' },
    raw: { type: 'object' },
  },
};
