const { getSchemaId } = require('../../../validate/ajv');

module.exports = {
  $id: getSchemaId('esProductsCleaner'),
  properties: {
    type: { type: 'string', enum: ['execute-custom-query'] },
    name: { type: 'string', enum: ['delete-obsolete-products'] },
    options: {
      type: 'object',
      properties: {
        programAffiliate: { type: 'string', minLength: 1 },
        programId: { type: 'string', minLength: 1 },
        feedId: { type: 'string' },
        importTs: { type: 'number' },
      },
      required: ['programAffiliate', 'programId'],
    },
  },
  required: ['type', 'name'],
};
