const { getSchemaId } = require('../../../../validate/ajv');

const CreateBoardBodySchemaId = getSchemaId('request-objects/frontend-api/boards/create-board-body');

const CreateBoardBodySchema = {
  $id: CreateBoardBodySchemaId,
  additionalProperties: true,
  properties: {
    title: { type: 'string', minLength: 2 },
    type: { type: 'string', enum: ['checkoff', 'social'] },
    public: { type: 'boolean' },
    view: { type: 'string', enum: ['list', 'masonry'] },
    budget: { type: 'number' },
    budgetSeperate: { type: 'string', enum: ['item_budget', 'total_budget', 'total'] },
  },
  required: ['title', 'public'],
};

module.exports = { CreateBoardBodySchemaId, CreateBoardBodySchema };
