const { getSchemaId } = require('../../../../validate/ajv');

const CreateInvitesBodySchemaId = getSchemaId('request-objects/frontend-api/invites/create-invites-body');

const CreateInvitesBodySchema = {
  $id: CreateInvitesBodySchemaId,
  additionalProperties: false,
  properties: {
    boardId: { type: 'string', minLength: 5 },
    role: { type: 'string', enum: ['view', 'edit'] },
    message: { type: 'string' },
    followBack: { type: 'boolean' },
    emails: { type: 'array', items: { type: 'string' } },
    uids: { type: 'array', items: { type: 'string' } },
  },
  required: [],
};

module.exports = { CreateInvitesBodySchemaId, CreateInvitesBodySchema };
