const { getSchemaId } = require('../../../validate/ajv');

module.exports = {
  $id: getSchemaId('badgeRefresh'),
  properties: {
    transport: { type: 'array', items: [{ enum: ['push'] }], minItems: 1, maxItems: 1 },
    type: {
      type: 'string',
      enum: ['badge_refresh'],
    },
    profileId: { type: 'string', minLength: 5 },
    options: {
      type: 'object',
      additionalProperties: false,
      properties: {
        refreshBadge: {
          type: 'boolean',
        },
      },
    },
  },
  required: ['profileId'],
};
