import { NotificationType } from '@hatsa/notifications/notification-types'; // eslint-disable-line import/no-extraneous-dependencies
import { Schema } from '../../schema';
import { BadgeRefreshRequestOptions } from './badge-refresh';

declare const schema: Schema;

export type NotificationRequestOptions = BadgeRefreshRequestOptions;

export type NotificationRequest = {
  id: string | null;
  type: NotificationType;
  transport: 'email' | 'push';
  title: string;
  body: string;
  profileId: string;
  subjectId: string;
  displayName?: string;
  path?: string;
  createdAt: string;
  photoURL?: string | null;
  badge?: number;
  options?: NotificationRequestOptions;
};

export default schema;
