import { Schema } from '../../schema';

declare const schema: Schema;

export type Message = {
  data: string;
};

export type Change<T> = {
  before: T;
  after: T;
};

export type Changes = {
  price: Change<number>;
  availability: Change<string>;
};

export type ProductMessage = {
  id: string;
  documentName: string;
  title?: string;
  changes: Changes;
};

export default schema;
