const { getSchemaId } = require('../../../validate/ajv');

module.exports = {
  $id: getSchemaId('productChangeMessage'),
  properties: {
    id: { type: 'string', minLength: 1 },
    title: { type: 'string' },
    documentName: { type: 'string', pattern: '/boards.*/' },
    changes: {
      type: 'object',
      properties: {
        price: {
          type: 'object',
          properties: {
            before: { type: 'number' },
            after: { type: 'number' },
          },
          required: ['before', 'after'],
        },
        availability: {
          type: 'object',
          properties: {
            before: { type: 'string' },
            after: { type: 'string' },
          },
          required: ['before', 'after'],
        },
      },
      required: ['price', 'availability'],
    },
  },
  required: ['id', 'documentName'],
};
