module.exports = (fs) => {
  let firestore;

  //fs = require('firebase-admin) // admin instance
  if (fs && fs.firestore && fs.firestore.FieldValue && fs.firestore.FieldValue.serverTimestamp)
    firestore = fs.firestore;

  //fs = admin.firestore() // firestore instance
  if (fs && fs.constructor && fs.constructor.FieldValue && fs.constructor.FieldValue.serverTimestamp)
    firestore = fs.constructor;

  if (!firestore) throw new Error('no firebase or firestore instance given');

  const timestamp = firestore.FieldValue.serverTimestamp();
  const deleteField = firestore.FieldValue.delete();

  const increment = firestore.FieldValue.increment;
  // const addOne      = firestore.FieldValue.increment(1);
  // const subtractOne = firestore.FieldValue.increment(-1);

  const documentId = firestore.FieldPath.documentId();

  const arrayRemove = firestore.FieldValue.arrayRemove;
  const arrayUnion = firestore.FieldValue.arrayUnion;
  const isEqual = firestore.FieldValue.isEqual;

  return {
    ['delete']: firestore.FieldValue.delete,
    deleteField,
    timestamp,
    increment,

    documentId,

    arrayRemove,
    arrayUnion,
    isEqual,
  };
};
