const test = require('tape');
const { firestore } = require('firebase-functions-test')();
const admin = require('firebase-admin');

const getSentinels = require('./sentinel');

test('getSentinels by firestore inatance', (t) => {
  const docSnap1 = firestore.makeDocumentSnapshot({ foo: 'bar' }, 'foo/bar');
  const { deleteField } = getSentinels(docSnap1.ref.firestore);

  t.equal(docSnap1.ref.firestore.constructor.FieldValue.delete(), deleteField);
  t.equal(docSnap1.ref.firestore.constructor.FieldValue.delete, getSentinels(docSnap1.ref.firestore)['delete']);

  t.end();
});

test('getSentinels by firestore class', (t) => {
  const { deleteField } = getSentinels(admin);

  t.equal(admin.firestore.FieldValue.delete(), deleteField);
  t.equal(admin.firestore.FieldValue.delete, getSentinels(admin)['delete']);

  t.end();
});
