import { Ajv } from 'ajv';
import { Schema } from '../schemas/schema';

declare namespace Validate.AJV {
  /**
   * Generates schema ID based on schemaName.
   * @param schemaName
   *
   * @returns {string} String - http://hopponn.com/schemas/${schemaName}.json
   */
  export function getSchemaId(schemaName: string): string;

  /**
   * Get instance of AJV validator.
   * @param {boolean} preloadSchemas - indicates whether we need to preload all schemas from "@hatsa/firestore" package.
   * @param {Array.<Schema>} schemas - Instantiate with predefined schemas.
   */
  export function getAjv(preloadSchemas?: boolean, schemas?: Schema[]): Ajv;
}

export = Validate.AJV;
